Bug 146316 - net.80203.link value freeze on boot
net.80203.link value freeze on boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 17:01 EST by Bill Moss
Modified: 2013-03-05 22:42 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.4.7-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-27 14:35:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Moss 2005-01-26 17:01:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
IBM T42
FC3 kernel-2.6.10-1.741
hal 0.4.7.1
dbus 0.22-10
e1000 driver for Intel Corp. 82540EP Gigabit Ethernet Controller
ipw2200-0.21 driver for Intel Corp. PRO/Wireless 2200BG
setup: network service turned off, eth0 onboot=no (wired) eth1
onboot=no (wireless)
NM = NetworkManager-CVS-1-25-05

hal-device-manager reports values for the key net.80203.link for the
Intel Corp. 82540EP Gigabit Ethernet Controller

The value for net.80203.link stuck at 1 under certain boot conditions.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. NM service on, NMInfo on or off (NM brings up eth0 and eth1 at boot)
plug in wire, boot
hal-device-manager: net.80203.link value = 1
unplug wire: hal-device-manager: net.80203.link value = 1
plug in wire: hal-device-manager: net.80203.link value = 1
service hald restart: hal-device-manager: net.80203.link value = 1
plug in wire: hal-device-manager: net.80203.link value = 1
unplug wire: hal-device-manager: net.80203.link value = 1

net.80203.link value is frozen at 1

2. unplug wire
reboot
hal-device-manager: net.80203.link key not shown
plug in wire: hal-device-manager: net.80203.link value = 1
unplug wire: hal-device-manager: net.80203.link value = 0
plug in wire: hal-device-manager: net.80203.link value = 1
unplug wire: hal-device-manager: net.80203.link value = 0

net.80203.link value is changing correctly

3. NM service off
plug in wire, reboot
ifup eth0
hal-device-manager: net.80203.link value = 1
unplug wire: hal-device-manager: net.80203.link value = 0
plug in wire: hal-device-manager: net.80203.link value = 1
unplug wire: hal-device-manager: net.80203.link value = 0
plug in wire: hal-device-manager: net.80203.link value = 1

net.80203.link value is changing correctly

Actual Results:  In experiment 1, the value of net.80203.link is
frozen at 1.

hal should be immuned to whatever NM is doing to it. 

Expected Results:  In experiment 1, I would expect the value of the
net.80203.link to change to 0 when the wired is unplugged.

Additional info:
Comment 1 David Zeuthen 2005-01-26 20:42:41 EST
I think I've found the bug. Please try these packages

 http://people.redhat.com/davidz/hal-cvs20050126/

If it fails please include the relevant output of 'hald --daemon=no
--verbose=yes' (e.g. from when you plug/unplug the cable).

Thanks,
David
Comment 2 Bill Moss 2005-01-27 00:05:37 EST
I installed the hal packages and repeated the tests I reported a few
hours ago. These packages appear to have fixed the bug. Wow, that was
fast.
Comment 3 David Zeuthen 2005-01-27 14:35:01 EST
Thanks for testing this. The fix will appear in hal-0.4.7-2 which will
hit Rawhide tomorrow.

Note You need to log in before you can comment on or make changes to this bug.